net.minecraft.client.gui

## Class GuiSelectWorld

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.GuiSelectWorld

-     public class GuiSelectWorld
      extends GuiScreen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `field_146628_f`
    `protected GuiScreen` | `field_146632_a`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiSelectWorld(GuiScreen par1GuiScreen)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionPerformed(GuiButton p_146284_1_)`
    `void` | `confirmClicked(boolean par1, int par2)`
    `void` | `drawScreen(int par1, int par2, float par3)`
    `protected java.lang.String` | `func_146614_d(int p_146614_1_)`
    `void` | `func_146615_e(int p_146615_1_)`
    `void` | `func_146618_g()`
    `protected java.lang.String` | `func_146621_a(int p_146621_1_)`
    `static GuiYesNo` | `func_146623_a(GuiScreen p_146623_0_, java.lang.String p_146623_1_, int p_146623_2_)`
    `void` | `initGui()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `doesGuiPauseGame, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, keyTyped, mouseClicked, mouseClickMove, mouseMovedOrUp, onGuiClosed, renderToolTip, setClipboardString, setWorldAndResolution, updateScreen`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_146632_a

          protected GuiScreen field_146632_a

    - #### field_146628_f

          protected java.lang.String field_146628_f

  - ### Constructor Detail

    - #### GuiSelectWorld

          public GuiSelectWorld(GuiScreen par1GuiScreen)

  - ### Method Detail

    - #### initGui

          public void initGui()

      Overrides:
        `initGui` in class `GuiScreen`

    - #### func_146621_a

          protected java.lang.String func_146621_a(int p_146621_1_)

    - #### func_146614_d

          protected java.lang.String func_146614_d(int p_146614_1_)

    - #### func_146618_g

          public void func_146618_g()

    - #### actionPerformed

          protected void actionPerformed(GuiButton p_146284_1_)

      Overrides:
        `actionPerformed` in class `GuiScreen`

    - #### func_146615_e

          public void func_146615_e(int p_146615_1_)

    - #### confirmClicked

          public void confirmClicked(boolean par1,
                            int par2)

      Overrides:
        `confirmClicked` in class `GuiScreen`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Overrides:
        `drawScreen` in class `GuiScreen`

    - #### func_146623_a

          public static GuiYesNo func_146623_a(GuiScreen p_146623_0_,
                               java.lang.String p_146623_1_,
                               int p_146623_2_)